%global commitid 3d961a24541242f376b1e66ec253505ecb06c922
%global serial 13

%{?scl:%scl_package %{?scl_prefix}mod_security}
%{!?scl:%global pkg_name %{name}}

%define _jarsign_opts --nocopy
%bcond_without zip

%define jws3 %{nil}

%if "%{?rhel}" == "6"
%define aprconfig apr-jws3-1-config
%define apuconfig apu-jws3-1-config
%else
%define aprconfig apr-1-config
%define apuconfig apu-1-config
%endif

%define reltag GA

Name: %{?scl_prefix}mod_security%{jws3}
Summary: Open Source Web Application Firewall
Version: 2.8.0
Release: %{serial}.%{reltag}%{?dist}
License: ASL 2.0
URL: https://www.modsecurity.org/

# https://www.modsecurity.org/tarball/2.8.0/modsecurity-2.8.0.tar.gz
# mv mod_security-2.8.0.tar.gz mod_security-2.8.0.tar.gz.orig
# mv modsecurity-2.8.0 mod_security-2.8.0
# tar czf mod_security-2.8.0.tgz mod_security-2.8.0
Source0: ModSecurity-%{commitid}.tar.gz

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%if "%{?rhel}" == "7"
# 64 bit only natives on RHEL7
ExcludeArch: i386 i686
%endif

%if "%{?rhel}" == "6"
BuildRequires: perl
BuildRequires: zip
%endif

BuildRequires: libtool
BuildRequires: %{?scl_prefix}httpd-devel
BuildRequires: curl-devel
BuildRequires: libxml2-devel
%if "%{?rhel}" == "6"
BuildRequires: apr-jws3-devel
BuildRequires: apr-util-jws3-devel
%else
BuildRequires: apr-devel
BuildRequires: apr-util-devel
%endif

BuildRequires: pcre-devel
#Mladen asked to add this BR to fix JWS-203
BuildRequires: lua-devel

BuildRequires: chrpath

Requires: %{?scl_prefix}httpd

%description
Open Source Web Application Firewall

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_security
Group:       Development

%description src-zip
Container for the source distribution of mod_security.
%endif

%prep
%setup -q -n ModSecurity-%{commitid}

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
%{?scl:scl enable %scl - << \EOF}
set -e
./autogen.sh
#APXS=`which apxs` sh ./configure --with-apr=$(which %{aprconfig}) --with-apu=$(which %{apuconfig})
APXS=/opt/rh/jbcs-httpd24/root/usr/sbin/apxs sh ./configure --disable-rpath --with-apr=$(which %{aprconfig}) --with-apu=$(which %{apuconfig})
make
%{?scl:EOF}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules/ \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cp apache2/.libs/mod_security2.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_security2%{jws3}.so
cp tools/rules-updater.pl $RPM_BUILD_ROOT%{_bindir}/rules-updater%{jws3}.pl
#JWS-199
rm $RPM_BUILD_ROOT%{_bindir}/rules-updater%{jws3}.pl
cp mlogc/mlogc $RPM_BUILD_ROOT%{_bindir}/mlogc%{jws3}
cp mlogc/mlogc-batch-load.pl $RPM_BUILD_ROOT%{_bindir}/mlogc-batch-load%{jws3}.pl
                                                                                                    
%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif

%{?scl:%{_root_bindir}}%{!?scl:%{_bindir}}/chrpath -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_security2%{jws3}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc authors.txt CHANGES LICENSE NOTICE README.TXT
# %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_snmp.conf.sample
# %config(noreplace) %{_sysconfdir}/httpd/conf.d/snmpd/snmpd.conf.sample
%{_libdir}/httpd/modules/*.so
%{_bindir}/*

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Mon Mar 21 2016 David Walluck <dwalluck@redhat.com> - 2.8.0-13
- fix rpath

* Mon Mar 21 2016 Fernando Nasser <fnasser@redhat.com> - 2.8.0-12
- Remove rpath

* Tue Feb 16 2016 Fernando Nasser <fnasser@redhat.com> - 2.8.0-11
- Build from source-repos

* Thu Jan 28 2016 Fernando Nasser <fnasser@redhat.com> - 0:2.8.0-9
- Build in the jbcs-httpd24 collection

* Thu Jan 28 2016 Hui Wang <huwang@redhat.com> - 0:2.8.0-7
- Mladen adviced to add BR lua-devel to fix jws-203

* Mon Dec 21 2015 Fernando Nasser <fnasser@redhat.com> - 0:2.8.0-7
- Build in the jbcs-httpd24 collection

* Tue Aug 18 2015 Weinan Li <weli@redhat.com> - 0:2.8.0-6
- JWS-199 Apache HTTP rules updater is obsolete

* Tue Jan 06 2015 Weinan Li <weli@redhat.com> - 0:2.8.0-5
- Fix jws3 renaming

* Thu Nov 27 2014 Weinan Li <weli@redhat.com> - 0:2.8.0-4
- move mlogc to mlogc-jws3

* Wed Nov 26 2014 Weinan Li <weli@redhat.com> - 0:2.8.0-3
- rename to mod_security-jws3

* Mon Nov 17 2014 Weinan Li <weli@redhat.com> - 0:2.8.0-2
- Rebuild to enable zip across all platforms

* Tue Oct 21 2014 Weinan Li <weli@redhat.com> - 0:2.8.0-1
- Initial import

